{
  "schema_version": "1.4.0",
  "id": "GHSA-r9hm-xqmv-vp84",
  "modified": "2025-04-11T03:57:44Z",
  "published": "2022-05-17T01:46:13Z",
  "aliases": [
    "CVE-2012-2322"
  ],
  "details": "Integer overflow in the dhcpv6_get_option function in gdhcp/client.c in ConnMan before 0.85 allows remote attackers to cause a denial of service (infinite loop and crash) via an invalid length value in a DHCP packet.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-2322"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.novell.com/show_bug.cgi?id=715172"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/75420"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=network/connman/connman.git%3Ba=commitdiff%3Bh=1d1a22fe586a455935483708fbe8eaeada79df7f"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=network/connman/connman.git;a=commitdiff;h=1d1a22fe586a455935483708fbe8eaeada79df7f"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49033"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49186"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-201205-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/05/07/10"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/05/07/2"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/05/07/6"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/81706"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/53410"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-05-18T22:55:00Z"
  }
}